apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: grafana-dot-mathmast-com
  namespace: freeleaps-monitoring-system
spec:
  commonName: grafana.mathmast.com
  dnsNames:
  - grafana.mathmast.com
  issuerRef:
    kind: ClusterIssuer
    name: mathmast-dot-com
  secretName: grafana-dot-mathmast-com-tls
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: grafana-ingress
  namespace: freeleaps-monitoring-system
spec:
  ingressClassName: nginx
  tls:
    - hosts:
      - grafana.mathmast.com
      secretName: grafana-dot-mathmast-com-tls
  rules:
    - host: grafana.mathmast.com
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              service:
                name: kube-prometheus-stack-grafana
                port:
                  number: 80